<?php

declare(strict_types=1);

namespace App\Domain\Reader\Application\Response;

use App\Domain\Reader\Domain\Model\Page;

final class PageResponse
{
    private string $id;
    private int $pageNumber;
    private string $url;
    private array $dimensions;

    public function __construct(Page $page)
    {
        $this->id = $page->getId();
        $this->pageNumber = $page->getPageNumber()->getValue();
        $this->url = $page->getUrl();
        $this->dimensions = $page->getDimensions();
    }

    public function getId(): string
    {
        return $this->id;
    }

    public function getPageNumber(): int
    {
        return $this->pageNumber;
    }

    public function getUrl(): string
    {
        return $this->url;
    }

    public function getDimensions(): array
    {
        return $this->dimensions;
    }
}
